# Contribution Schema

{% hint style="success" %}
*New GraphQL definitions coming soon! Fields subject to change without notice during beta.*
{% endhint %}

{% hint style="info" %}
A Fide Contribution will always represent a one-way relationship between two entities, sources, and/or contributions.
{% endhint %}

> **Standard `{"key" : "value"}` JSON schema for all Fide Entities from a** [**Contribution Endpoint**](/api/legacy-endpoints.md#entity)**.**

## Contribution

<table><thead><tr><th width="238">key</th><th width="176.33333333333331">type</th><th>description</th></tr></thead><tbody><tr><td><strong>fide_contribution_id</strong></td><td><code>string</code></td><td>Fide's unique identifier for the Contribution</td></tr><tr><td>source</td><td><code>dictionary</code></td><td><a href="/pages/FoTYhx6YtWcDAUhviZrs"><code>Source</code></a></td></tr><tr><td>entity</td><td><code>dictionary</code></td><td><a href="/pages/2YravcNWM4BDicRl8kPV"><code>Entity</code></a></td></tr><tr><td>from</td><td></td><td><a href="/pages/FoTYhx6YtWcDAUhviZrs"><code>Source</code></a> or <a href="/pages/2YravcNWM4BDicRl8kPV"><code>Entity</code></a> <code>(/contributions only)</code></td></tr><tr><td>to</td><td></td><td><a href="/pages/FoTYhx6YtWcDAUhviZrs"><code>Source</code></a> or <a href="/pages/2YravcNWM4BDicRl8kPV"><code>Entity</code></a> <code>(/contributions only)</code></td></tr><tr><td></td><td></td><td></td></tr><tr><td><strong>descriptions</strong></td><td><code>dictionary</code></td><td><a href="#descriptions"><code>Descriptions</code></a></td></tr><tr><td><strong>times</strong></td><td><code>dictionary</code></td><td><a href="#times"><code>Times</code></a></td></tr><tr><td><strong>statistics</strong></td><td><code>dictionary</code></td><td><a href="#statistics"><code>Statistics</code></a></td></tr><tr><td><strong>locations</strong></td><td><code>dictionary</code></td><td><a href="#locations"><code>Locations</code></a></td></tr><tr><td><strong>types</strong></td><td><code>string[]</code></td><td><a href="#types"><code>Types</code></a></td></tr><tr><td><strong>tags</strong></td><td><code>string[]</code></td><td><a href="#tags"><code>Tags</code></a></td></tr><tr><td><strong>fide_time_created</strong></td><td><code>unix timestamp</code></td><td>time Fide Source was created</td></tr><tr><td><strong>fide_time_updated</strong></td><td><code>unix timestamp</code></td><td>time Fide Source was updated</td></tr></tbody></table>

## Descriptions

<table><thead><tr><th width="243.33333333333331">key</th><th width="149">type</th><th>description</th></tr></thead><tbody><tr><td>short</td><td><code>string</code></td><td>>200 characters</td></tr><tr><td>medium</td><td><code>string</code></td><td>200-500 characters</td></tr><tr><td>long</td><td><code>string</code></td><td>&#x3C;500 characters</td></tr></tbody></table>

## Times

<table><thead><tr><th width="179.33333333333331">key</th><th width="213">type</th><th>description</th></tr></thead><tbody><tr><td>start</td><td><code>unix timestamp</code></td><td>time <code>contribution</code> started</td></tr><tr><td>start_range</td><td><code>number</code></td><td>confidence range equally distributed before and after <code>start</code> measured in milliseconds</td></tr><tr><td>end</td><td><code>unix timestamp</code></td><td>time <code>contribution</code> ended</td></tr><tr><td>end_range</td><td><code>number</code></td><td>confidence range equally distributed before and after <code>end</code> measured in milliseconds</td></tr></tbody></table>

## Locations

<table><thead><tr><th width="241">key</th><th width="157.33333333333331">type</th><th>description</th></tr></thead><tbody><tr><td>formatted_address</td><td><code>string</code></td><td>complete address</td></tr><tr><td>lat</td><td><code>string</code></td><td>latitude</td></tr><tr><td>lng</td><td><code>string</code></td><td>longitude</td></tr><tr><td>ne_viewport_lat</td><td><code>string</code></td><td>northeast viewport latitude</td></tr><tr><td>ne_viewport_lng</td><td><code>string</code></td><td>northeast viewport longitude</td></tr><tr><td>sw_viewport_lat</td><td><code>string</code></td><td>southwest viewport latitude</td></tr><tr><td>sw_viewport_lng</td><td><code>string</code></td><td>southwest viewport longitude</td></tr><tr><td>address_components</td><td><code>dictionary[]</code></td><td><a href="#location-address-components"><code>Address Components</code></a></td></tr></tbody></table>

### Address Components

<table><thead><tr><th width="239">key</th><th width="159.33333333333331">type</th><th>description</th></tr></thead><tbody><tr><td>types</td><td><code>string[]</code></td><td><a href="https://developers.google.com/maps/documentation/places/web-service/supported_types#table1"><code>Google Place Types</code></a></td></tr><tr><td>long_name</td><td><code>string</code></td><td>component's long name</td></tr><tr><td>long_name</td><td><code>string</code></td><td>component's short name</td></tr></tbody></table>

## Statistics

<table><thead><tr><th width="238">key</th><th width="163.33333333333331">type</th><th>description</th></tr></thead><tbody><tr><td>followers_count</td><td><code>number</code></td><td>latest count of "followers" or similar</td></tr><tr><td>following_count</td><td><code>number</code></td><td>latest count of "following" or similar</td></tr><tr><td>subscribers_count</td><td><code>number</code></td><td>latest count of "subscribers" or similar</td></tr><tr><td>subscriptions_count</td><td><code>number</code></td><td>latest count of "subscriptions" or similar</td></tr><tr><td>views_count</td><td><code>number</code></td><td>latest count of "views", "visits", "impressions" or similar</td></tr><tr><td>likes_count</td><td><code>number</code></td><td>latest count of "likes", "favorites", "stars", "hearts" or similar</td></tr><tr><td>deployments_count</td><td><code>number</code></td><td>latest count of "deployments", "times published" or similar</td></tr><tr><td>saves_count</td><td><code>number</code></td><td>latest count of "saves" or similar</td></tr></tbody></table>

## Types

<table><thead><tr><th width="250.33333333333331">value</th><th>description</th></tr></thead><tbody><tr><td>profile</td><td>a digital location representing a single <a href="/pages/ZP5cK5QqRasBEbDRS47r"><code>Entity</code></a></td></tr><tr><td>web_app</td><td>application software access using a web browser</td></tr><tr><td>technical_documentation</td><td>technical documentation</td></tr><tr><td>forum</td><td>a digital location where ideas and views on a particular topic can be exchanged.</td></tr><tr><td>post</td><td>any digital publication</td></tr><tr><td>article</td><td>any <code>post</code> in article format</td></tr><tr><td>video</td><td>any <code>post</code> in video format</td></tr><tr><td>audio</td><td>any <code>post</code> in audio format</td></tr><tr><td>project_audit</td><td>any <code>post</code> considered to be an analysis of a single project <a href="/pages/ZP5cK5QqRasBEbDRS47r"><code>Entity</code></a></td></tr><tr><td>blockchain_contract_audit</td><td>any <code>project_audit</code> considered to be an analysis of a <code>blockchain_contract</code></td></tr><tr><td>blockchain_address</td><td>a unique identifier used to send, receive and store digital assets on a blockchain network</td></tr><tr><td>blockchain_wallet</td><td>a <code>blockchain_address</code> with a private key</td></tr><tr><td>blockchain_contract</td><td>a <code>blockchain_address</code> with on-chain code</td></tr><tr><td>blockchain_transaction</td><td>a blockchain transaction</td></tr><tr><td>physical_location</td><td>representative of a physical location</td></tr><tr><td>physical_event</td><td>an event with physical components (hosted in-person)</td></tr><tr><td>digital_event</td><td>an event with digital components (hosted digitally)</td></tr></tbody></table>

### Tags

<table><thead><tr><th width="253">value</th><th>description</th></tr></thead><tbody><tr><td>published</td><td>is currently published</td></tr><tr><td>unpublished</td><td>was previously published and is currently unpublished</td></tr><tr><td>updated</td><td>has ever been updated</td></tr><tr><td>deployable</td><td>can currently be deployed</td></tr><tr><td>professional</td><td>professional representation of a single <a href="/pages/ZP5cK5QqRasBEbDRS47r"><code>Entity</code></a></td></tr><tr><td>erc_20</td><td>the <a href="https://ethereum.org/en/developers/docs/standards/tokens/erc-20/">ERC-20</a> token standard for fungible tokens</td></tr><tr><td>erc_721</td><td>the <a href="https://ethereum.org/en/developers/docs/standards/tokens/erc-721/">ERC-721</a> token standard for non-fungible tokens (NFTs)</td></tr><tr><td>erc_777</td><td>the <a href="https://ethereum.org/en/developers/docs/standards/tokens/erc-777/">ERC-777</a> 7token standard for fungible tokens</td></tr><tr><td>erc_1155</td><td>the <a href="https://ethereum.org/en/developers/docs/standards/tokens/erc-1155/">ERC-1155</a> token standard for multiple token types</td></tr><tr><td>erc_4626</td><td>the <a href="https://ethereum.org/en/developers/docs/standards/tokens/erc-4626/">ERC-4626</a> tokenized vault standard</td></tr></tbody></table>

***

### Blockchain Ecosystems

<table><thead><tr><th width="253">value</th><th>description</th></tr></thead><tbody><tr><td>bitcoin</td><td></td></tr><tr><td>ethereum</td><td></td></tr><tr><td>litecoin</td><td></td></tr><tr><td>primecoin</td><td></td></tr><tr><td>mazacoin</td><td></td></tr><tr><td>namecoin</td><td></td></tr><tr><td>arbitrum</td><td></td></tr><tr><td>xdc</td><td></td></tr><tr><td>peercoin</td><td></td></tr><tr><td>ethereum_classic</td><td></td></tr><tr><td>bitcoin_cash</td><td></td></tr><tr><td>cardano</td><td></td></tr><tr><td>tron</td><td></td></tr><tr><td>tezos</td><td></td></tr><tr><td>bitcoin_sv</td><td></td></tr></tbody></table>

<details>

<summary>Possible Blockchain Ecosystem Values</summary>

```json
[
  
   "ethereum_classic",
   "bitcoin_cash",
   "cardano",
   "tron",
   "tezos",
   "bitcoin_sv",
   "lightning_network",
   "algorand",
   "solana",
   "polkadot",
   "avalanche",
   "mobilecoin",
   "internet_computer",
   "deso",
   "terra classic",
   "terra_2",
   "stellar",
   "eosio",
   "lbry",
   "ripple",
   "stacks",
   "vertcoin",
   "hedera_hashgraph",
   "zcash",
   "monero",
   "bitcoin_gold",
   "dogecoin",
   "hyperledger_fabric",
   "corda",
   "polygon",
   "binance_smart_chain",
   "quorum",
   "aptos",
   "near",
   "iota",
   "nano"
]
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fide.id/api/contribution-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
